require "zugzwang/version"
require "zugzwang/helpers"
require "zugzwang/cli"

module Zugzwang
    ADAPTERS = %i[sqlite]
    FIELDS = {
        Event:           {type: :string},
        Site:            {type: :string, size: 50},
        White:           {type: :string, size: 30},
        Black:           {type: :string, size: 30},
        Result:          {type: :string, size: 10},
        UTCDate:         {type: :date,   size: 15},
        UTCTime:         {type: :time,   size: 8},
        WhiteElo:        {type: :integer},
        BlackElo:        {type: :integer},
        WhiteRatingDiff: {type: :integer},
        BlackRatingDiff: {type: :integer},
        WhiteTitle:      {type: :string, size: 5},
        BlackTitle:      {type: :string, size: 5},
        ECO:             {type: :string, size: 3},
        Opening:         {type: :string},
        TimeControl:     {type: :string, size: 15},
        Termination:     {type: :string, size: 20},
        Variant:         {type: :string}
    }
end