require 'sequel'
require 'sqlite3'

module Zugzwang
    class Connection
        def initialize(database_path, adapter)
            @database_path = database_path
            @adapter = adapter
            case adapter
            when :sqlite then @database = Sequel.sqlite("#{database_path}.sqlite3")
            end
        end
    end
end