module Zugzwang
    module Helpers
        def sanitize_path(path)
            dir, file = File.dirname(path), File.basename(path,'.*')
            file.strip! do |name|
                name.gsub!(/^.*(\\|\/)/, '')
                name.gsub!(/[^0-9A-Za-z.\-]/, '_')
            end
            "#{dir}/#{file}"
        end
    end
end